# $Revision: 1.6 $, $Date: 2010/11/08 15:02:32 $
Summary:	Tool for decode and encode sample catalogues for OpenTTD
Summary(pl.UTF-8):	Narzędzie do dekodowania oraz enkodowania katalogów dźwiękowych dla OpenTTD
Name:		catcodec
Version:	1.0.3
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://cz.binaries.openttd.org/openttd/binaries/extra/catcodec/%{version}/%{name}-%{version}-source.tar.bz2
# Source0-md5:	31196e261f7216ecea300e8807693401
Patch0:		%{name}-flags.patch
URL:		http://www.openttd.org/en/download-catcodec
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
catcodec decodes and encodes sample catalogues for OpenTTD.

%description -l pl.UTF-8
catcodec to narzędzie do dekodowania i enkodowania katalogów
dźwiękowych dla OpenTTD.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}" \
	VERBOSE="on"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install catcodec $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/readme.txt
%attr(755,root,root) %{_bindir}/catcodec

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: catcodec.spec,v $
Revision 1.6  2010/11/08 15:02:32  lisu
- 1.0.3

Revision 1.5  2010/10/25 08:53:53  lisu
- 1.0.2

Revision 1.4  2010/09/02 13:10:50  lisu
- change Source0 URL and update md5

Revision 1.3  2010/09/02 13:01:05  lisu
- up to 1.0.1
- verbose build

Revision 1.2  2010/05/01 18:04:14  sparky
- BR: libstdc++-devel

Revision 1.1  2010/04/23 14:18:32  lisu
- init
